Bug 831740 - pam_systemd.so should create /run/user/UID instead of /run/user/username
pam_systemd.so should create /run/user/UID instead of /run/user/username
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
rawhide
All Linux
unspecified Severity high
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
:
Depends On: 831738
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-13 12:46 EDT by Stephen Gallagher
Modified: 2012-10-07 18:47 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-07 18:47:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Gallagher 2012-06-13 12:46:16 EDT
Description of problem:
There are multiple projects that want to take advantage of https://fedoraproject.org/wiki/Features/KRB5DirCache and https://fedoraproject.org/wiki/Features/KRB5CacheMove, such as NFS, but have an issue with the fact that the location is based on the username.

In the case of NFS as one example, they only have access to the UID from the kernel, and it would be unfortunate if they were forced to invoke a (potentially slow, network-accessing) nsswitch update just to convert that UID into a username. Beyond that, there isn't a 1-1 guarantee between UID and username.

Version-Release number of selected component (if applicable):
systemd-185-5.gita2368a3.fc18
Comment 1 Bill Nottingham 2012-06-13 14:59:31 EDT
Is /run/user/$USERNAME a ABI at this point, though? How much is expecting it?
Comment 2 Stephen Gallagher 2012-06-13 15:12:23 EDT
I'm amenable to supplementing rather than replacing it. But I think we need to have this available.
Comment 3 Lennart Poettering 2012-06-20 08:29:50 EDT
Upstream systemd has now been changed accordingly.
Comment 4 Fedora Update System 2012-09-20 15:55:59 EDT
systemd-190-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/systemd-190-1.fc18
Comment 5 Fedora Update System 2012-09-22 02:37:12 EDT
Package systemd-191-2.fc18, rtkit-0.11-3.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing systemd-191-2.fc18 rtkit-0.11-3.fc18'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14581/rtkit-0.11-3.fc18,systemd-191-2.fc18
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2012-09-27 20:17:37 EDT
Package glibc-2.16-17.fc18, systemd-192-1.fc18, selinux-policy-3.11.1-23.fc18, rtkit-0.11-3.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing glibc-2.16-17.fc18 systemd-192-1.fc18 selinux-policy-3.11.1-23.fc18 rtkit-0.11-3.fc18'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14581/selinux-policy-3.11.1-23.fc18,rtkit-0.11-3.fc18,systemd-192-1.fc18,glibc-2.16-17.fc18
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-10-01 16:10:03 EDT
Package glibc-2.16-17.fc18, rtkit-0.11-3.fc18, systemd-193-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing glibc-2.16-17.fc18 rtkit-0.11-3.fc18 systemd-193-1.fc18'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14581/rtkit-0.11-3.fc18,systemd-193-1.fc18,glibc-2.16-17.fc18
then log in and leave karma (feedback).

Note You need to log in before you can comment on or make changes to this bug.